Copy a solution template
Copies a published, public solution template into the user's workspace, applying its copy behavior (workflow only, workflow with hints, or full bundle).
POST
/api/library/solution/{id}/copyPath parameters
idnumberrequiredPath parameter: id
Body
namestringrequiredspacestringrequiredprojectstringRequest
curl
curl -X POST https://platform.trickest.com/api/library/solution/{id}/copy \
-H "Authorization: Bearer $TRICKEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{ }'Responses
201Copied solution result
idstring | numberrequirednamestringcopyBehaviorstringtableSchemasobjecttablesobject[]appSnapshotobject400Bad Request – validation error or malformed input
codestringmessagestring401Unauthorized – missing or expired token
codestringmessagestring500Internal Server Error
codestringmessagestring